%define	name			Mesa
%define version			3.4.1
%define release			4mdk
%define glx_ver			20001222
%define glx_mesa_version 	3.2.1
%define mesa_so_version 	030401
%define GLwrapper_version	0.1.4

Name:			%{name}
Version:		%{version}
Release:		%{release}
Packager:		Franois Pons <fpons@mandrakesoft.com>
Summary:		OpenGL 1.2 compatible 3D graphics library
Group:			System/Libraries
BuildRoot:		%{_tmppath}/%{name}-%{version}-root
URL:			http://www.mesa3d.org

Source:			ftp://ftp.mesa3d.org/pub/mesa/MesaLib-%{version}.tar.bz2
Source1:		ftp://ftp.mesa3d.org/pub/mesa/MesaDemos-%{version}.tar.bz2
Source2:		http://utah-glx.sourceforge.net/glx-%{glx_ver}.tar.bz2
Source4:		%{name}-icons.tar.bz2
Source5:		ftp://ftp.mesa3d.org/pub/mesa/MesaLib-%{glx_mesa_version}.tar.bz2
Source6:		GLwrapper-%{GLwrapper_version}.tar.bz2

Patch1:			%{name}-remove-rpath.patch.bz2
Patch2:			%{name}-GLUtesselator-back.patch.bz2
Patch3:			%{name}-3.3-gcc-2.96.patch.bz2
Patch4:			%{name}-3.4-opt.patch.bz2
Patch10:		glx-rename_glx_so.patch.bz2
Patch12:		Mesa-3.4-3.2.1-mesa_conf.patch.bz2
Patch13:		Mesa-3.4-glxARB.patch.bz2
Patch14:		glx-mach64tmp.patch.bz2

License:		MIT
Prefix:			/usr/X11R6
Requires:		Mesa-common
BuildPreReq:		binutils >= 2.9.1.0.19a

# Mesa-devel is provided by XFree86-devel now.
#%package devel
#Summary:		Development files for Mesa (OpenGL compatible 3D lib)
#Group:			Development/C
#Requires:		%{name}, Mesa-common-devel

%package common
Summary:	Files for Mesa (GLU and glut libs)
Group:		System/Libraries
Requires:	%{name}

%package common-devel
Summary:	Development files for GLU and glut libs
Group:		Development/C
Requires:	%{name}-common = %{version}, %{name}-devel

%package demos
Summary:	Demos for Mesa (OpenGL compatible 3D lib)
Group:		Graphics
Requires:	%{name} >= %{version}

%description
Mesa is an OpenGL 1.2 compatible 3D graphics library.

%description common
Mesa is an OpenGL 1.2 compatible 3D graphics library.
glut and GLU parts.

#%description devel
#Mesa is an OpenGL 1.2 compatible 3D graphics library.
#
#This package contains the headers needed to compile Mesa programs.

%description common-devel
Mesa is an OpenGL 1.2 compatible 3D graphics library.
glut and GLU parts.

This package contains the headers needed to compile Mesa programs.

%description demos
Mesa is an OpenGL 1.2 compatible 3D graphics library.

This package contains some demo programs for the Mesa library.

%prep
%setup -q -n Mesa-%{version}

#Mesa-demos
tar xfj %{SOURCE1} -C ../

# utah_glx
tar xfj %{SOURCE2}

# Mesa to use with utah_glx (while waiting for support of 3.3)
tar xfj %{SOURCE5} -C glx/

# Get GLwrapper library that make a true wrapp of libGL API (fpons).
tar xfj %{SOURCE6}
cp GLwrapper-%{GLwrapper_version}/README README.GLwrapper

# remove rpath.
%patch1 -p0

# patch to restore GLUtesselator from Mesa-3.2
# which has been removed but cause some program crazy!
# so GLU get back compliant with 1.2.
%patch2 -p1 -b .tess

# (chmou) Fix gcc2.96 compilation
%ifnarch ppc
%patch3 -p1
%endif
%patch4 -p1 -b .opt

%ifnarch alpha sparc sparc64 ppc
# patch to rename glx.so to glx-3.so
%patch10 -p1 -b .rename_glx
%endif

# patch to rename mesa.conf file to /etc/X11/mesa.conf
# all arch are taken, even if code is not compiled.
%patch12 -p1 -b .mesa_conf
%patch13 -p1 -b .glxARB
%patch14 -p1 -b .glxtmp

perl -pi -e "s/-O3/$RPM_OPT_FLAGS/" Make-config

pushd demos && {
	for i in *.c; do 
	perl -pi -e "s|\.\./images/|%{prefix}/lib/mesa-demos-data/|" $i ; 
	done 
	perl -pi -e "s|isosurf.dat|%{prefix}/lib/mesa-demos-data/isosurf.dat|" isosurf.c 
} && popd


%build
# [GG] something wrong with filenames...
ln -sf ./common_x86_asm.S ./src/X86/common_x86asm.S
ln -sf ./common_x86_asm.h ./src/X86/common_x86asm.h

%ifarch i386 i486
CFLAGS=$RPM_OPT_FLAGS CXXFLAGS=$RPM_OPT_FLAGS \
	./configure	--prefix=%{prefix} \
			--sysconfdir=/etc/X11 \
			--target=%{_target_cpu}-mandrake-linux-gnu \
			--disable-mmx \
			--disable-3dnow \
			--without-glide \
			--without-svga \
			--without-ggi
%endif
%ifarch i586 i686 k6 k7
CFLAGS=$RPM_OPT_FLAGS CXXFLAGS=$RPM_OPT_FLAGS \
	./configure	--prefix=%{prefix} \
			--sysconfdir=/etc/X11 \
			--target=%{_target_cpu}-mandrake-linux-gnu \
			--enable-x86 \
			--enable-mmx \
			--enable-3dnow \
			--without-glide \
			--without-svga \
			--without-ggi
# next time try --enable-sse (for Pentium III SSE)
%endif
%ifnarch i386 i486 i586 i686 k6 k7
./configure	--prefix=%{prefix} \
		--sysconfdir=/etc/X11 \
		--target=%{_target_cpu}-mandrake-linux-gnu \
		--disable-3dnow \
		--without-glide \
		--without-svga \
		--without-ggi
%endif

make

pushd demos
for i in bounce clearspd drawpix gamma gears glinfo glutfx isosurf morph3d \
         multiarb osdemo paltex pointblast reflect renormal \
         spectex stex3d tessdemo texcyl texobj trispd winpos; do
	make $i 
done	
popd

# Skip utah_glx for alpha - (fg) also skip it for sparc - (jb) also added skip
# for ppc - (fg) And for ia64 as well

%ifarch alpha sparc sparc64 ppc ia64
	echo 'Architecture is not one of x86, skipping utah_glx'
%else
cd glx
cp -fv ../config.sub ./

%ifarch i386 i486
# (Dadou) Don't remove --host. It's needed if you build on arch <> than --target
# (configuration is very bugged)
# (Dadou) Supports for mmx and 3dnow are useless for i386 and i486
CFLAGS=$RPM_OPT_FLAGS ./autogen.sh	--with-chipset=all \
					--with-mesa=Mesa-3.2.1 \
					--enable-extra \
					--disable-mtrr \
					--disable-agp \
					--disable-glut \
					--disable-GLU \
					--prefix=%{prefix} \
					--sysconfdir=/etc/X11 \
					--target=%{_target_cpu}-mandrake-linux-gnu \
					--host=%{_target_cpu}-mandrake-linux-gnu \
					--without-mmx-asm \
					--without-3dnow-asm
%else
CFLAGS=$RPM_OPT_FLAGS ./autogen.sh	--with-chipset=all \
					--with-mesa=Mesa-3.2.1 \
					--enable-extra \
    					--enable-mtrr \
					--enable-agp \
					--disable-glut \
					--disable-GLU \
    					--prefix=%{prefix} \
					--with-moduledir=%{prefix}/lib/modules \
    					--sysconfdir=/etc/X11 \
    					--target=%{_target_cpu}-mandrake-linux-gnu \
					--host=%{_target_cpu}-mandrake-linux-gnu
%endif
# Arg docs sux ((Dadou) "are not OK", it's better ;)
pushd docs
cat <<EOF > config.cache
ac_cv_path_install=${ac_cv_path_install='/usr/bin/install -c'}
ac_cv_prog_CP=${ac_cv_prog_CP='cp -f'}
ac_cv_prog_LN_S=${ac_cv_prog_LN_S='ln -s'}
ac_cv_prog_MKDIR=${ac_cv_prog_MKDIR='mkdir -p'}
ac_cv_prog_MV=${ac_cv_prog_MV='mv -f'}
ac_cv_prog_RM=${ac_cv_prog_RM='rm -f'}
ac_cv_prog_have_dvips=${ac_cv_prog_have_dvips=no}
ac_cv_prog_have_jade=${ac_cv_prog_have_jade=no}
ac_cv_prog_have_jadetex=${ac_cv_prog_have_jadetex=no}
ac_cv_prog_have_lynx=${ac_cv_prog_have_lynx=no}
ac_cv_prog_have_ps2pdf=${ac_cv_prog_have_ps2pdf=no}
ac_cv_prog_make_make_set=${ac_cv_prog_make_make_set=yes}
EOF
./configure --enable-text --enable-html --enable-ps --enable-pdf
popd

make
cd ..
%endif # Skip glx for Alpha

# build GLwrapper.
make prefix=%{prefix} mesa_so_version=%{mesa_so_version} -C GLwrapper-%{GLwrapper_version}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}/lib/mesa-demos-data
mkdir -p $RPM_BUILD_ROOT/usr/include
mkdir -p $RPM_BUILD_ROOT%{prefix}/etc
make DESTDIR=$RPM_BUILD_ROOT install
install -m 0644 include/GL/glext.h $RPM_BUILD_ROOT%{prefix}/include/GL

mkdir -p $RPM_BUILD_ROOT%{prefix}/bin
for i in bounce clearspd drawpix gamma gears glinfo glutfx isosurf morph3d \
         multiarb osdemo paltex pointblast reflect renormal \
         spectex stex3d tessdemo texcyl texobj trispd winpos; do
  cp -v demos/$i $RPM_BUILD_ROOT%{prefix}/bin
done

# (fg) So that demos at least work :)
cp -v images/*rgb demos/isosurf.dat $RPM_BUILD_ROOT%{prefix}/lib/mesa-demos-data

# menu for demos
install -m 755 -d $RPM_BUILD_ROOT%{_menudir}
cat <<EOF >$RPM_BUILD_ROOT%{_menudir}/Mesa-demos
?package(Mesa-demos):command="%{prefix}/bin/gears" \
                     icon="mesa-demos-gears.xpm" \
                     needs="x11" \
                     section="Amusement/Toys" \
                     title="Mesa gears" \
                     longtitle="Gears 3D demonstration from Mesa 3D"

?package(Mesa-demos):command="%{prefix}/bin/reflect" \
                     icon="mesa-demos-reflect.xpm" \
                     needs="x11" \
                     section="Amusement/Toys" \
                     title="Mesa reflect" \
                     longtitle="Reflect 3D demonstration from Mesa 3D"

?package(Mesa-demos):command="%{prefix}/bin/morph3d" \
                     icon="mesa-demos-morph3d.xpm" \
                     needs="x11" \
                     section="Amusement/Toys" \
                     title="Mesa morph" \
                     longtitle="Morph 3D demonstration from Mesa 3D"
EOF

# icons for three demos examples [we lack a frontend
# to launch the demos obviously]
install -m 755 -d $RPM_BUILD_ROOT%{_miconsdir}
install -m 755 -d $RPM_BUILD_ROOT%{_iconsdir}
install -m 755 -d $RPM_BUILD_ROOT%{_liconsdir}
tar jxvf %{SOURCE4} -C $RPM_BUILD_ROOT%{_iconsdir}

%ifarch alpha sparc sparc64 ppc ia64
echo 'Skipping utah_glx'
%else
mkdir -p $RPM_BUILD_ROOT/usr/bin
cat > $RPM_BUILD_ROOT/usr/bin/glx <<EOF
#!/bin/sh
LD_PRELOAD=%{prefix}/lib/libGL.so.1.0 "\$@"
EOF
chmod +x $RPM_BUILD_ROOT/usr/bin/glx
cat > $RPM_BUILD_ROOT/usr/bin/noglx <<EOF
#!/bin/sh
LD_PRELOAD=%{prefix}/lib/libGL.so.1.2.%{mesa_so_version} "\$@"
EOF
chmod +x $RPM_BUILD_ROOT/usr/bin/noglx

## glx
cd glx
#beware of installing the minimun as Mesa version are not the same!
make DESTDIR=$RPM_BUILD_ROOT sysconfdir=/etc/X11 SUBDIRS="libGL servGL" install
#
#prefix=$RPM_BUILD_ROOT/%{prefix} \
#	sysconfdir=$RPM_BUILD_ROOT/etc/X11 \
#	moduledir=$RPM_BUILD_ROOT/%{prefix}/lib/modules \
#	install
cd ..
%endif # glx 

# install GLwrapper
make DESTDIR=$RPM_BUILD_ROOT install -C GLwrapper-%{GLwrapper_version}

cd $RPM_BUILD_ROOT/usr/include
ln -sf ../X11R6/include/GL GL

cd $RPM_BUILD_ROOT/%{prefix}/lib/
ln -sf libGL.so.1 libGL.so
ln -sf libGLwrapper.so.%{GLwrapper_version} libGL.so.1
ln -sf libGLU.so.1 libGLU.so
ln -sf libGLU.so.1 libGLU.so.3
ln -sf libglut.so.3 libglut.so

# (gc) add Mesa symlinks for compatibility
# (fpons) modified to be hard coded to true Mesa library.
ln -sf libGL.so.1.2.%{mesa_so_version} libMesaGL.so
ln -sf libGL.so.1.2.%{mesa_so_version} libMesaGL.so.1
ln -sf libGL.so.1.2.%{mesa_so_version} libMesaGL.so.3
ln -sf libGL.so.1.0 libMesaGL.so.1.0
ln -sf libGLU.so libMesaGLU.so
ln -sf libGLU.so.1 libMesaGLU.so.1
#ln -sf libGLU.so.1.2.%{mesa_so_version} libMesaGLU.so.1.2
ln -sf libGLU.so.3 libMesaGLU.so.3
#ln -sf libGLU.so.3.1.2 libMesaGLU.so.3.1.2

%clean
rm -fr $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post common -p /sbin/ldconfig 

%postun common -p /sbin/ldconfig

%post demos
%{update_menus}

%postun demos
%{clean_menus}

%files
%defattr(-,root,root)
%doc docs/COPYRIGHT docs/README docs/README.X11 docs/COPYING
%doc glx/docs/README.*
%doc README.GLwrapper
%{prefix}/lib/libGL.so.1.*
%{prefix}/lib/libGLwrapper.so*
%{prefix}/lib/libMesaGL.so.*
%ifarch i386 i486 i586 i686 k6 k7
/usr/bin/glx
/usr/bin/noglx
%{prefix}/lib/modules/*
%config(noreplace) /etc/X11/glx.conf
%endif
%config(noreplace) /etc/X11/mesa.conf

#%files devel
#%defattr(-,root,root)
#%doc docs/COPYRIGHT docs/README docs/README.X11 docs/COPYING docs/DEVINFO
#%doc docs/CONFORM docs/VERSIONS
#%dir %{prefix}/include/GL
#%{prefix}/include/GL/gl.h
#%{prefix}/include/GL/glext.h
#%{prefix}/include/GL/gl_mangle.h
#%{prefix}/include/GL/osmesa.h
#%ifarch i386 i486 i586 i686 k6 k7
#%{prefix}/include/GL/svgamesa.h
#%endif
#%{prefix}/include/GL/glx.h
#%{prefix}/include/GL/glx_mangle.h
#%{prefix}/include/GL/xmesa.h
#%{prefix}/include/GL/xmesa_x.h
#%{prefix}/include/GL/xmesa_xf86.h
#%{prefix}/lib/libGL.so
#%{prefix}/lib/libMesaGL.so
#/usr/include/GL

%files common
%defattr(-,root,root)
%doc docs/COPYRIGHT docs/README docs/README.X11 docs/COPYING
%{prefix}/lib/libGLU.so.*
%{prefix}/lib/libMesaGLU.so.*
%{prefix}/lib/libglut.so.*

%files common-devel
%defattr(-,root,root)
%doc docs/COPYRIGHT docs/README docs/README.X11 docs/COPYING
%{prefix}/include/GL/glu.h
%{prefix}/include/GL/glu_mangle.h
%{prefix}/include/GL/glut.h
%{prefix}/lib/libGLU.so
%{prefix}/lib/libMesaGLU.so
%{prefix}/lib/libglut.so
%{prefix}/lib/libGL.la
%{prefix}/lib/libGLU.la
%{prefix}/lib/libglut.la

%files demos
%defattr(-,root,root)
%doc docs/COPYRIGHT docs/README docs/README.X11 docs/COPYING
%{prefix}/bin/*
%dir %{prefix}/lib/mesa-demos-data
%{prefix}/lib/mesa-demos-data/*
%{_menudir}/Mesa-demos
%{_miconsdir}/*demos*.xpm
%{_iconsdir}/*demos*.xpm
%{_liconsdir}/*demos*.xpm

%changelog
* Tue Mar 27 2001 Franois Pons <fpons@mandrakesoft.com> 3.4.1-4mdk
- Fixed patch to restore GLU 1.2.
- Fixed reference to obsolete y option of tar to j.

* Sun Mar 18 2001 David BAUDENS <baudens@mandrakesoft.com> 3.4.1-3mdk
- Build with gcc on PPC

* Thu Mar 15 2001 Francis Galiegue <fg@mandrakesoft.com> 3.4.1-2mdk
- Skip utah_glx for ia64

* Thu Feb 15 2001 Franois Pons <fpons@mandrakesoft.com> 3.4.1-1mdk
- 3.4.1 and remove GLUtesselator patch.

* Wed Jan 24 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 3.4-8mdk
- patched mach64dmainit.c from CVS. Now /tmp/glx* is
  safely cleaned for mach64 on X exits.

* Tue Jan 02 2001 Franois Pons <fpons@mandrakesoft.com> 3.4-7mdk
- updated GLwrapper with 0.1.4.

* Sat Dec 31 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 3.4-6mdk
- added patch for real optimization with RPM_OPT_FLAGS.
- added glXGetProcAddressARB workaround for playing with Tuxracer :-)
- added a soft link to fixed a name typo with common_x86asm.S names
  (for --enable-x86).

* Fri Dec 22 2000 Franois Pons <fpons@mandrakesoft.com> 3.4-5mdk
- updated glx with 20001222 cvs snapshot (s3savage modification).
- moved mesa.conf to /etc/X11 and make sure Mesa take care of it, ugly.

* Tue Dec 05 2000 Franois Pons <fpons@mandrakesoft.com> 3.4-4mdk
- updated glx with 20001205 cvs snapshot (s3savage modification).
- created patch for s3savage compilation (just change include dep).

* Sun Nov 26 2000 David BAUDENS <baudens@mandrakesoft.com> 3.4-3mdk
- Fix build on PPC (again): use egcs to don't have a wonderful "Internal
  compilator error" with gcc-2.96

* Tue Nov 07 2000 Franois Pons <fpons@mandrakesoft.com> 3.4-2mdk
- fixed missing requires on Mesa-common for Mesa-common-devel.
- fixed Copyright (LGPL => MIT).
- updated glx with 20001107 cvs snapshot (version 0.10).
- build with glibc 2.1.97.

* Mon Nov 06 2000 Franois Pons <fpons@mandrakesoft.com> 3.4-1mdk
- 3.4.

* Thu Oct 19 2000 Franois Pons <fpons@mandrakesoft.com> 3.3-16mdk
- updated glx to 20001017.
- build release for glibc-2.1.95.

* Mon Oct 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.3-15mdk
- Fix gcc2.96 compilation.

* Fri Sep 29 2000 Franois Pons <fpons@mandrakesoft.com> 3.3-14mdk
- fixed menu entrie for morph.

* Tue Sep 26 2000 Franois Pons <fpons@mandrakesoft.com> 3.3-13mdk
- update glx to 20000926 as a lot of change on S3Savage driver has occurs and
  this driver is marked as experimental (at least get latest version as there
  are no more change for some days).

* Sat Sep 09 2000 David BAUDENS <baudens@mandrakesoft.com> 3.3-12mdk
- Fix build for PPC (i.e. remove Patch #1, it's included in sources now)

* Sun Sep 03 2000 Franois Pons <fpons@mandrakesoft.com> 3.3-11mdk
- added libMesaGL.so.3 symlink.
- added missing icons.
- moved menu file inside spec file.

* Mon Aug 28 2000 David BAUDENS <baudens@mandrakesoft.com> 3.3-10mdk
- Fix menu entries

* Fri Aug 25 2000 Franois Pons <fpons@mandrakesoft.com> 3.3-9mdk
- really change to glx 20000825, removed obsolete gart_ver.
- rebuild glx-rename patch for new glx.

* Fri Aug 25 2000 Franois Pons <fpons@mandrakesoft.com> 3.3-8mdk
- updated to GLwrapper 0.1.3 to select support of Mesa extension,
  enable OSMesa and disable XMesa (it breaks hardware acceleration of DRI).
- updated glx to 20000825.
- changed symlink libMesaGL* to true Mesa libraries (avoid wrapper).
- enabled previously disabled agp support for glx.

* Fri Aug 18 2000 Franois Pons <fpons@mandrakesoft.com> 3.3-7mdk
- updated GLwrapper to 0.1.2, added some missing X Mesa functions.
- removed Mesa-devel as now provided by XFree86-devel.
- removed SVGA support, as Mesa-devel has gone.

* Thu Aug 03 2000 Franois Pons <fpons@mandrakesoft.com> 3.3-6mdk
- created patch to restore GLUtesselator as needed by some program.
- updated libGLU version to 1.2.
- added GLwrapper README in doc.

* Mon Jul 31 2000 Franois Pons <fpons@mandrakesoft.com> 3.3-5mdk
- added /usr/include/GL into Mesa-devel.
- added missing glext.h into %{prefix}/include/GL.
- some macroszifications.

* Thu Jul 27 2000 Franois Pons <fpons@mandrakesoft.com> 3.3-4mdk
- updated GLwrapper to 0.1.1.
- now work with DRI in accelerated.
- removed glide support as it is enabled in XFree 4.0.1.

* Wed Jul 26 2000 Franois Pons <fpons@mandrakesoft.com> 3.3-3mdk
- created GLwrapper to get a true GL API.
- removed conflict with XFree86 version greater than 4.

* Mon Jul 24 2000 Franois Pons <fpons@mandrakesoft.com> 3.3-2mdk
- created patch to rename glx.so to glx-3.so as warnings are dumped else.

* Mon Jul 24 2000 Franois Pons <fpons@mandrakesoft.com> 3.3-1mdk
- 3.3.
- update glx to CVS version of 2000/07/24.
- moved module glx.so to glx-3.so.
- using Mesa-3.2.1 for glx.

* Thu Jun 28 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 3.2-4mdk
- added conflicts with XFree86 >= 4.0.

* Sat Jun 17 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 3.2-3mdk
- disabled ggi in ./configure.
- added option to compile with Voodoo glide support.

* Tue Jun 13 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.2-2mdk
- fix: remove need on libggi and libgii

* Sat Jun 10 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 3.2-1mdk
- updated to version 3.2.
- glx updated to version 2000611.
- disabled MTRR for i386/i486.
- moved glx script to /usr/bin.
- added --disable-glut and --disable-GLU in glx building as the
  respective libraries are already built in the main Mesa tree.

* Tue May 16 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.1-16mdk
- fix fix for i486 to allow compilation on other archs !

* Sun May 14 2000 David BAUDENS <baudens@mandrakesoft.com> 3.1-15mdk
- Fix build for i486
- Clean after build
- Fix some typos

* Sun May  7 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1-14mdk
- added more compatibility links to Mesa for Fermigier

* Fri Apr 28 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1-13mdk
- really fixed hardcoded path

* Fri Apr 28 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1-12mdk
- added 32x32 icons, fixed hardcoded path in menu entries

* Mon Apr 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1-11mdk
- added symlinks to libMesaGL and libMesaGLU for compatibility
  with older applications

* Wed Apr 12 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1-10mdk
- fixed group for Mesa-demos
- added menu entries for best demos
- fixed ftp, added url
- added documentation
- patched ltconfig to remove binary-or-shlib-defines-rpath

* Mon Apr  3 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.1-9mdk
- split glut and GLU in common and common-devel packages to ease
  the upgrade to XFree86 4.0.

* Sun Mar 19 2000 John Buswell <johnb@mandrakesoft.com> 3.1-8mdk
- Added patch for PPC arch
- Included PPC in GLX skip
- Added ifarch 

* Fri Jan 28 2000 Francis Galiegue <francis@mandrakesoft.com>
- Added .so symlinks in -devel

* Mon Jan 17 2000 Francis Galiegue <francis@mandrakesoft.com>
- Made demos fully functional

* Mon Jan 17 2000 Francis Galiegue <francis@mandrakesoft.com>
- Also skip svgalib for sparcs

* Thu Jan 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.1-4mdk
- Make sure to get the right link.

* Tue Jan 11 2000 Pixel <pixel@mandrakesoft.com>
- fix build for non-svgalib architectures

* Mon Dec 20 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- id k6 chipset as i586 for glx

* Tue Dec 14 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Mesa 3.1 final.
- rewrite files

* Sat Dec 11 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
-  Really fix alpha build (no glx for you)
- and use _tmppath in Buildroot

* Tue Dec 07 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Fix alpha build (i think)
- Clean up .spec (scared chmou, big wuss) ;)
- make cheesie 'glx' script to LD_PRELOAD the libGL.so.1.0 for the demos

* Fri Nov 26 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Update cvs snaps
- Use new --with-chipset=both for glx
- (this is not backwards compatible, you must recompile) don't blame me ask the Mesa people
- use the right --target (must say they did a damned fine job of optimizing the code

* Tue Nov 02 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- add arch's, defattr
- integrate glx (mga_gxl.so, tnt_glx.so)

* Mon Oct 11 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Back to old Mesa lib.

* Fri Jul 16 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.de>
- remove the -ffast-math removal stuff - Mesa 3.1 works with -ffast-math
  and is actually 11.7% faster than without it.

* Fri Jul 16 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.de>
- 3.1beta2

* Wed Jun 30 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build in the new environement (rel: 3mdk).

* Thu May 06 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- ldconfig to %post and %postun.

* Mon Feb 15 1999 Bernhard Rosenkraenzer <bero@microsoft.sucks.eu.org>
- initial RPM; changes to base:
- Handle RPM_OPT_FLAGS
- link with pthread library
